#include <SI_EFM8LB1_Register_Enums.h>                  // SFR declarations
#include "Project_DefsVarsFuncs.h"

bit SEND_ADC_DATA = FALSE;

void Transfer_ADCBuffer(unsigned int num_bytes)
{
	unsigned int n;

	SFRPAGE = UART0_PAGE;

	SCON0_TI = 0;	//make sure that the transmit interrupt flag is cleared

	for(n=0; n<num_bytes; n++)
	{
		SBUF0 = AutoScan_Memory[n];
		while(!SCON0_TI);
		SCON0_TI = 0;
	}
}
